So funktioniert JustAnswer:
  • Fragen Sie einen Experten
    Tausende Experten in über 200 Kategorien.
  • Erhalten Sie eine professionelle Antwort
    Per E-Mail oder sofortiger Benachrichtigung, während Sie auf unserer Website warten.
    Stellen Sie ggf. weitere Anschlussfragen.
  • 100%ige Zufriedenheit garantiert
    Bewerten Sie die erhaltene Antwort.
Stellen Sie Ihre Frage an qsec.
qsec
qsec, IT Coordinator
Kategorie: Computer
Zufriedene Kunden: 52
Erfahrung:  Virtualisierung VMWare ESX AS400 iSeries Linux/Unix
53976707
Geben Sie Ihre Frage in der Kategorie Computer hier ein
qsec ist jetzt online.

ich möchte eine themeXXX.sql in die Datenbank uploaden. Kommt

Kundenfrage

ich möchte eine themeXXX.sql in die Datenbank uploaden. Kommt folgende Fehlermeldung: SQL-Befehl:

-- phpMyAdmin SQL Dump
-- version 3.2.3
-- http://www.phpmyadmin.net
--
-- Host: localhost
-- Generation Time: Oct 14, 2011 at 04:13 PM
-- Server version: 5.1.40
-- PHP Version: 5.2.12
SET SQL_MODE = "NO_AUTO_VALUE_ON_ZERO"

MySQL meldet: Dokumentation
#1064 - You have an error in your SQL syntax; check the manual that corresponds to your MySQL server version for the right syntax to use near '-- phpMyAdmin SQL Dump
-- version 3.2.3
-- http://www.phpmyadmin.net
--
-' at line 1

Was muss ich tun?
Gepostet: vor 5 Jahren.
Kategorie: Computer
Experte:  qsec hat geantwortet vor 5 Jahren.
Hallo,

Die Datenbanken sind nicht kompatibel.
Beim themeXXX.sql Datenbank-Export unter Options den SQL-Kompatibilitätsmodus auswählen, ist normalerweise mit NONE vorbelegt.
Hier bitte "mysql..." ausprobieren.

wenn das nicht funktioniert:
folgende Zeilen im themeXXX.sql löschen, soweit vorhanden:
SET SQL_MODE=”NO_AUTO_VALUE_ON_ZERO”;
ENGINE=MyISAM DEFAULT CHARSET=latin1;

indx.php ? soll sicherlich index.php sein ... das bitte auch noch korrigieren.

mfg,
qsec
Kunde: hat geantwortet vor 5 Jahren.


"Beim themeXXX.sql Datenbank-Export unter Options den SQL-Kompatibilitätsmodus auswählen, ist normalerweise mit NONE vorbelegt.
Hier bitte "mysql..." ausprobieren."

und wo finde ich das???? habe nachgesehen bei meinem Account bei 1und! unter mysql und dann wp_options aber da finde ich nichts, was auf einen Kompatilitätsmodus hinweist. ???


die vorgeschlagene Zeile ist nicht zu finden im theme
Kunde: hat geantwortet vor 5 Jahren.
Auch nach löschen der Zeile SET SQL_MODE ..... weiterhin Fehlermeldung: Server: db1228.1und1.de - Datenbank: db362117821 - Tabelle: wp_options
Fehler

SQL-Befehl:

-- phpMyAdmin SQL Dump
-- version 3.2.3
-- http://www.phpmyadmin.net
--
-- Host: localhost
-- Generation Time: Oct 14, 2011 at 04:13 PM
-- Server version: 5.1.40
-- PHP Version: 5.2.12
/*!40101 SET @OLD_CHARACTER_SET_CLIENT=@@CHARACTER_SET_CLIENT */

MySQL meldet: Dokumentation

[ Zurück ]
Experte:  qsec hat geantwortet vor 5 Jahren.
Können Sie die problem Tabelle wp_options vom sql ausschließen und die anderen Tabellen laden ?

mfg,
qsec

Ähnliche Fragen in der Kategorie Computer